View Issue Details

IDProjectCategoryView StatusLast Update
0014634LazarusLCLpublic2009-09-22 20:41
ReporterDominique LouisAssigned ToDmitry Boyarintsev 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.30 
Summary0014634: Mac OS X : TSpinEdit only highlight lower button when clicked...
DescriptionWhen clicking on the up or down arrows of a TSpinEdit under Mac OS X, regardless of which arrow you click the down portion of the spin button is the only arrow that lights up on mouse click.

The correct behaviour should be that when the up arrow is clicked only the upper portion of the spin buttons should light up, and when the down arrow is clicked the only lower portion of the spin buttons should light up.
TagsNo tags attached.
Fixed in Revision21804
LazTarget1.0
WidgetsetCarbon
Attached Files

Activities

Dmitry Boyarintsev

2009-09-20 08:01

developer   ~0030849

Spin edit is working properly.

Though, only "bottom" button is drawn as pressed.

Dmitry Boyarintsev

2009-09-21 15:33

developer   ~0030878

please test and close if ok

Dominique Louis

2009-09-22 20:40

reporter   ~0030917

Works the way it should now.

Dominique Louis

2009-09-22 20:41

reporter   ~0030918

Works the way it should now.

Issue History

Date Modified Username Field Change
2009-09-19 16:46 Dominique Louis New Issue
2009-09-19 16:46 Dominique Louis Widgetset => Carbon
2009-09-19 16:57 Dmitry Boyarintsev Status new => assigned
2009-09-19 16:57 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2009-09-19 16:57 Dmitry Boyarintsev LazTarget => 1.0
2009-09-20 08:01 Dmitry Boyarintsev Note Added: 0030849
2009-09-21 15:33 Dmitry Boyarintsev Fixed in Revision => 21804
2009-09-21 15:33 Dmitry Boyarintsev Status assigned => resolved
2009-09-21 15:33 Dmitry Boyarintsev Fixed in Version => 0.9.30
2009-09-21 15:33 Dmitry Boyarintsev Resolution open => fixed
2009-09-21 15:33 Dmitry Boyarintsev Note Added: 0030878
2009-09-21 15:33 Dmitry Boyarintsev Target Version => 0.9.30
2009-09-22 20:40 Dominique Louis Note Added: 0030917
2009-09-22 20:41 Dominique Louis Status resolved => closed
2009-09-22 20:41 Dominique Louis Note Added: 0030918